import { useQuery } from "react-query";

import { QUERY_KEYS } from "@constants/query";
import appVersionsApi from "@apis/app_versions";
import { DEFAULT_STALE_TIME } from "@constants";

export const useFetchAppVersionApi = ({ appVersionUrl }) =>
  useQuery(
    QUERY_KEYS.APP_VERSIONS,
    () => appVersionsApi.fetch({ appVersionUrl }),
    {
      select: ({ data }) => data,
      staleTime: DEFAULT_STALE_TIME,
    },
  );
