# frozen_string_literal: true

require "test_helper"

module AppVersionControlEngine
  class Api::V1::AppVersionAccessControllerTest < ActionDispatch::IntegrationTest
    def setup
      @app_version_one = create :app_version
      @app_version_two = create :app_version
    end

    def test_should_return_app_version_of_given_app_name
      get api_v1_get_version_path(@app_version_one.app_name)
      assert_response :success

      assert_equal @app_version_one.id, response_json["id"]
    end
  end
end
